Package org.apache.maven.scm.command.list

## Class ListScmResult

- java.lang.Object
- - org.apache.maven.scm.ScmResult
  - - org.apache.maven.scm.command.list.ListScmResult

All Implemented Interfaces:
  `java.io.Serializable`

Direct Known Subclasses:
  `LocalListScmResult`

    public class ListScmResult
    extends ScmResult

Result of `ScmProvider.list(org.apache.maven.scm.repository.ScmRepository, org.apache.maven.scm.ScmFileSet, boolean, org.apache.maven.scm.ScmVersion)` operation

Author:
  Carlos Sanchez
See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.apache.maven.scm.ScmResult

`PASSWORD_PLACE_HOLDER`

### Constructor Summary

Constructors
`ListScmResult​(java.lang.String commandLine, java.lang.String providerMessage, java.lang.String commandOutput, boolean success)`
`ListScmResult​(java.lang.String commandLine, java.util.List<ScmFile> files)`
`ListScmResult​(java.util.List<ScmFile> files, ScmResult result)`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.util.List<ScmFile>` `getFiles()`

### Methods inherited from class org.apache.maven.scm.ScmResult

`getCommandLine, getCommandOutput, getProviderMessage, isSuccess`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ListScmResult

    public ListScmResult​(java.lang.String commandLine,
                         java.lang.String providerMessage,
                         java.lang.String commandOutput,
                         boolean success)

#### ListScmResult

    public ListScmResult​(java.lang.String commandLine,
                         java.util.List<ScmFile> files)

#### ListScmResult

    public ListScmResult​(java.util.List<ScmFile> files,
                         ScmResult result)

### Method Detail

#### getFiles

    public java.util.List<ScmFile> getFiles()